#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

uniform float Gamma;

in vec4 vDrawColor;
out vec4 FragColor;

void main(void)
{

	vec4 TotalColor = vDrawColor; // For MacroTextures

	// Gamma
	TotalColor.r=pow(TotalColor.r,2.0-Gamma);
	TotalColor.g=pow(TotalColor.g,2.0-Gamma);
	TotalColor.b=pow(TotalColor.b,2.0-Gamma);

	FragColor = TotalColor;
}
