#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
layout (location = 0) in vec3 v_coord;		// == gl_Vertex
layout (location = 2) in vec2 TexCoords;
layout (location = 8) in vec4 DrawColor;

layout(std140) uniform GlobalMatrices
{
	mat4 modelviewprojMat;
	mat4 modelviewMat;
};

out vec2 vTexCoords;
out vec4 vDrawColor;

void main(void)
{
	//Texture UV to fragment
	vTexCoords=TexCoords;
	vDrawColor=DrawColor;

	gl_Position = modelviewprojMat * vec4(v_coord, 1.0);
}
